### Function

# EBackend Cache sqlite_stmt_append_printf

since: 3.26

#### Declaration [src]

    void
    e_cache_sqlite_stmt_append_printf (
      GString* stmt,
      const gchar* format,
      ...
    )

#### Description [src]

Appends an SQLite statement fragment based on the `format` and its arguments to the `stmt`. The `format` can contain any values recognized by sqlite3_mprintf().

Available since: 3.26

This function is not directly available to language bindings.

#### Parameters

`stmt`

  Type: `GString`

  A `GString` statement to append to.

  The data is owned by the caller of the function.

`format`

  Type: `const gchar*`

  A printf-like format.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Arguments for the `format`.